Site com ReactJS e Typescript não roda!

Boa tarde!

Estou com problemas para fazer funcionar um site com ReactJS e Typescript.
Já segui as dicas passada em outro tópico:

react-scripts: not found

Porém não funcionou. abaixo foto do log:

E o package.json está assim:

{

“name”: “web”,
“version”: “0.1.2”,
“license”: “MIT”,
“private”: true,
“dependencies”: {
@fortawesome/free-brands-svg-icons”: “^5.14.0”,
@fortawesome/free-solid-svg-icons”: “^5.14.0”,
@fortawesome/react-fontawesome”: “^0.1.11”,
@testing-library/jest-dom”: “^4.2.4”,
@testing-library/react”: “^9.3.2”,
@testing-library/user-event”: “^7.1.2”,
@types/jest”: “^24.0.0”,
@types/node”: “^12.0.0”,
@types/react”: “^16.9.0”,
@types/react-dom”: “^16.9.0”,
“global”: “^4.4.0”,
“leaflet”: “^1.7.1”,
“react”: “^16.13.1”,
“react-dom”: “^16.13.1”,
“react-leaflet”: “^2.8.0”,
“react-scripts”: “3.4.1”,
“serve”: “^11.3.2”,
“typescript”: “~3.7.2”
},
“scripts”: {
“start”: “npm run-script run”,
“build”: “react-scripts build”,
“test”: “react-scripts test”,
“eject”: “react-scripts eject”,
“run”: “react-scripts start”
},
“eslintConfig”: {
“extends”: “react-app”
},
“browserslist”: {
“production”: [
“>0.2%”,
“not dead”,
“not op_mini all”
],
“development”: [
“last 1 chrome version”,
“last 1 firefox version”,
“last 1 safari version”
]
},
“devDependencies”: {
@fortawesome/fontawesome-svg-core”: “^1.2.30”,
@fortawesome/free-regular-svg-icons”: “^5.14.0”,
@types/nodemailer”: “^6.4.0”,
@types/react-leaflet”: “^2.5.2”,
@types/react-router-dom”: “^5.1.5”,
“nodemailer”: “^6.4.14”,
“react-icons”: “^3.11.0”,
“react-router-dom”: “^5.2.0”
}
}

Lembrando que fiz o deploy com git remote como recomendado.

Agradeceria muito se alguém tiver uma dica!

Obrigado.

Boa tarde, @Fabianovcr

Primeiramente, seja bem-vindo a nossa Comunidade :heart:

Então, acredito que sei o que está faltando para você conseguir fazer o deploy de sua aplicação, inclusive isso já foi abordado aqui nesse artigo da Comunidade

Precisa se atentar ali no seu package.json ao script “postinstall”: “grunt”
Esse script é necessário para fazer o Typescript ser compilado antes de ser executado :slight_smile:

Não enxerguei ele ali no seu package.json, colocando ele e fazendo novamente o deploy acredito que dará tudo certo :wink:

Obrigado pelo retorno Mario!

coloquei o script como o indicado porém agora retornou o seguinte problema:

Sendo que no package.json em scripts ficou assim:

"scripts": {
“start”: “npm run-script run”,
"build": "react-scripts build",
"test": "react-scripts test",
"eject": "react-scripts eject",
“run”: “react-scripts start”,
"postinstall":"grunt"

},

Será que há algo a mais a fazer?

Mais uma vez obrigado!

Boa tarde, @Fabianovcr

Certo, verifiquei os logs do seu último deploy e verifiquei a seguinte linha:

2020-11-06T22:53:24.0306241Z: e[2Ke[1Ge[34minfoe[39m fsevents@1.2.13: The platform "linux" is incompatible with this module.

Aqui podemos ver que esse módulo em particular é imcompatível com plataformas Linux, que é o SO da nossa infraestrutura como um todo :grimacing:

Mas não é apenas isso impedindo o seu deploy, porém em todo caso, lhe aconselho a retirar ele da sua aplicação ou substituir por um compatível com Linux.

Outra coisa, sabe dizer se em algum local da sua aplicação você utiliza o Yarn ou utilizou pra instalar alguma dependência da sua aplicação?

Caso tenha utilizado pode ser que tenha um arquivo yarn.lock na sua aplicação ainda. E caso isso ocorra, nosso painel identifica esse arquivo e executa o build de sua aplicação com o Yarn, erroneamente no caso, pois você utiliza o npm na sua aplicação e tem o npm destacado ali nos scripts do seu package.json. Sendo assim, certifique-se de retirar qualquer rastro do Yarn da sua aplicação, incluindo arquivos e qualquer dependência instalada relacionada a ele.

Feito tudo isso e checado, faça o commit, tente realizar novamente o deploy e me avise do resultado por favor :wink:

Boa tarde Mario.

Em primeiro lugar muito obrigado por responder e pelo esforço em ajudar.
Peço desculpas pela demora no retorno, muita correria por aqui!

Fiz tudo o que foi recomendado no seu ultimo post, removi tudo o que dava referência ao Yarn, removi dependências desnecessárias… Realmente nada funcionou e continuou retornando o erro 503.

Dai para conseguir colocar o site no ar utilizei a solução do seguinte post:

Reactjs site estatico não funciona erro 503 - Web Apps - Umbler Community

Sei que não é a melhor solução, mas por enquanto esta funcionando!

Agradeço mais uma vez pelo empenho, o atendimento Umbler é nota 10!

1 Curtida